My Project: dgCollisionInfo Class Reference

My Project

Classes | Public Attributes | List of all members
dgCollisionInfo Class Reference

`#include <dgCollision.h>`

## Classes

struct | dgBoxData
struct | dgCapsuleData
struct | dgChamferCylinderData
struct | dgCollisionBVHData
struct | dgConeData
struct | dgConvexHullData
struct | dgConvexModifierData
struct | dgCoumpountCollisionData
struct | dgCylinderData
struct | dgDeformableMeshData
struct | dgHeightMapCollisionData
struct | dgSceneData
struct | dgSphereData
struct | dgTaperedCapsuleData
struct | dgTaperedCylinderData

## Public Attributes

dgMatrix | m_offsetMatrix
dgInt32 | m_collisionType
dgInt32 | m_userDadaID
union {
dgBoxData m_box
dgConeData m_cone
dgSphereData m_sphere
dgCapsuleData m_capsule
dgCylinderData m_cylinder
dgTaperedCapsuleData m_taperedCapsule
dgTaperedCylinderData m_taperedCylinder
dgChamferCylinderData m_chamferCylinder
dgConvexHullData m_convexHull
dgDeformableMeshData m_deformableMesh
dgConvexModifierData m_convexModifierData
dgCoumpountCollisionData m_compoundCollision
dgCollisionBVHData m_bvhCollision
dgHeightMapCollisionData m_heightFieldCollision
dgSceneData m_sceneCollision
dgFloat32 m_paramArray [32]
}; |

## Member Data Documentation

## § @26

union { ... }

## § m_box

dgBoxData dgCollisionInfo::m_box

## § m_bvhCollision

dgCollisionBVHData dgCollisionInfo::m_bvhCollision

## § m_capsule

dgCapsuleData dgCollisionInfo::m_capsule

## § m_chamferCylinder

dgChamferCylinderData dgCollisionInfo::m_chamferCylinder

## § m_collisionType

dgInt32 dgCollisionInfo::m_collisionType

## § m_compoundCollision

dgCoumpountCollisionData dgCollisionInfo::m_compoundCollision

## § m_cone

dgConeData dgCollisionInfo::m_cone

## § m_convexHull

dgConvexHullData dgCollisionInfo::m_convexHull

## § m_convexModifierData

dgConvexModifierData dgCollisionInfo::m_convexModifierData

## § m_cylinder

dgCylinderData dgCollisionInfo::m_cylinder

## § m_deformableMesh

dgDeformableMeshData dgCollisionInfo::m_deformableMesh

## § m_heightFieldCollision

dgHeightMapCollisionData dgCollisionInfo::m_heightFieldCollision

## § m_offsetMatrix

dgMatrix dgCollisionInfo::m_offsetMatrix

## § m_paramArray

dgFloat32 dgCollisionInfo::m_paramArray[32]

## § m_sceneCollision

dgSceneData dgCollisionInfo::m_sceneCollision

## § m_sphere

dgSphereData dgCollisionInfo::m_sphere

## § m_taperedCapsule

dgTaperedCapsuleData dgCollisionInfo::m_taperedCapsule

## § m_taperedCylinder

dgTaperedCylinderData dgCollisionInfo::m_taperedCylinder

## § m_userDadaID

dgInt32 dgCollisionInfo::m_userDadaID

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgCollision.h